﻿/*=================================== Variables concept =====================================*/
:root {
    --heading-font: 26px;
    --default-font: 17px;
    --light-blue: #0073E6;
    --default-blue: #296098;
    --default-red: #D9001B;
    --light-red: #ff5e57fe;
    --default-black: #333333;
    --light-grey: #A7A7A7;
    --default-orange: #B93910;
    --light-orange: #FF671F;
    --default-green: #96bb60;
}
/*=================================== Global-Styles =========================================*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-size: var(--default-font);
    font-family: 'Open Sans', sans-serif !important;
    color: var(--default-black);
}
body .container-fluid {
    padding: 1.5rem 0 0;
}
.logo-application-header { height:60px;}
@font-face {
    font-family: 'Open Sans';
    src: url('../_font/open_sans/opensans-variablefont_wdth,wght.ttf') format('truetype');
    font-weight: 400;
    font-display: swap; /* Optional for better performance */
}
@font-face {
    font-family: 'Open Sans';
    src: url('../_font/open_sans/static/opensans-semibold.ttf') format('truetype');
    font-weight: 600;
}
@font-face {
    font-family: 'Open Sans';
    src: url('../_font/open_sans/static/opensans-bold.ttf') format('truetype');
    font-weight: 700;
}
body { font-size: var(--default-font);}
a, button {cursor:pointer;}
a { color:#0FA0DE;}
hr {opacity:0.50 !important;}
input:focus, select:focus { outline: none !important;}
.heading-font {font-size:var(--heading-font) !important;font-weight:600;}
.default-blue { color: var(--default-blue) !important;}
.default-black { color:var(--default-black) !important;}
.light-grey {color:var(--light-grey) !important;}
.default-orange { color:var(--default-orange) !important;}
.light-orange { color:var(--light-orange) !important;}
.color-red { color: var(--default-red) !important;}
.color-light-red { color: var(--light-red) !important;}
.default-green { color: var(--default-green) !important;}
.fw-semibold {font-weight:600 !important;}
.font-20 { font-size: 20px !important;}
.font-24 { font-size: 24px !important;}
.font-28 { font-size:28px !important;}
.clear-both {clear:both !important;}
.rounded-10 {border-radius:10px !important;}
.pointer {cursor:pointer !important;}
.default-cursor {cursor:default !important;}
.w-95 {width:95% !important;}
.w-55 { width: 55% !important;}
.top-5 {top:5px !important;}
.pb-10 {padding-bottom:10rem !important;}
.flex-1 {flex:1;}.flex-2 {flex:2;}.flex-3 {flex:3;}.flex-4 {flex:4;}.flex-5 {flex:5;}.flex-6 {flex:6;}
.border-right {border-right:1px solid var(--default-black);}
.full-width { width: 100% !important;}
.min-width-auto {min-width:auto !important;}
.border-radius-sm {border-radius:5px !important;}
.container-fluid.py-0 {
    padding-top: 0 !important;
    padding-bottom: 0 !important;
}
.lnk-back-grey, .lnk-back-grey * {
    color: #8D9AA2 !important;
    text-decoration: none;
}
.header-main {
    background-color: #373f50 !important;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 15px;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2), 0 4px 8px rgba(0, 0, 0, 0.12);
}
.div-logo-wrapp { padding: 0 0 5px 0;}
.link-primary { color: #000000 !important;}
.link-primary:hover { color: rgb(255, 103, 31) !important;}
.btn-link {
    color:var(--default-blue) !important;
    border:none !important;
    background-color:unset;
}
.button-primary {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 150px;
    border: solid 1px var(--default-blue);
    border-radius: 5px !important;
    color: #FFFFFF !important;
    padding: 0px 10px !important;
    height: 35px !important;
    filter: drop-shadow(2px 2px 2.5px rgba(0, 0, 0, 0.34901960784313724));
    cursor: pointer;
    background-color: var(--default-blue);
    text-align: center;
    text-decoration: none;
}
.button-primary-outlined {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 35px;
    border: 1px solid #98989A !important;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 400;
    color: #323232bf;
    background-color: #fff;
    transition: all 0.2s ease;
    user-select: none;
    min-width: 135px;
    padding: 0 5px;
    position: relative;
    cursor: pointer;
}
.active-button, .button-primary-outlined:hover {
    color: #FFFFFF;
    background-color: var(--default-blue);
}
.button-green {
    border: solid 1px var(--default-green) !important;
    background-color: var(--default-green) !important;
}
.button-white {
    background-color: #FFFFFF !important;
    border: solid 1px #FFFFFF !important;
    color: var(--default-black) !important;
    min-width: 180px !important;
}
.button-white.btn-edit-property { min-width:100px !important;}
button:disabled {
    cursor: default;
    opacity: 0.7;
    box-shadow: none;
}
.button-filter {
    min-width: 175px;
    height: 35px;
    background: inherit;
    background-color: #373f5019;
    border-radius: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-shadow: /* OUTER soft shadow */
    0 2px 3px rgba(0, 0, 0, 0.08),
    /* INSET shadows */
    inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
    filter: none !important;
}
    .button-filter:hover, .button-filter.selected {
        box-shadow: 5px 5px 2.5px rgba(0, 0, 0, 0.349), /* INSET shadows */
        inset 6px 6px 12px rgba(0, 0, 0, 0.10);
        background-color: rgba(255, 255, 255, 0.9254901960784314);
        border-radius: 5px;
        filter: drop-shadow(5px 5px 2.5px rgba(0, 0, 0, 0.34901960784313724));
    }
.select-filter {
    padding-left:10px !important;
    background-color: #373f5019 !important;
    border: none !important;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.08), inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
}
.outer-input {
    border: 1px solid #d7d7d7 !important;
    height: 40px;
    padding: 5px;
    border-radius: 3px;
    background-color: transparent;
}
.outer-input:focus {
    border: 1px solid var(--default-black) !important;
    height: 40px;
    padding: 5px;
}
body ::placeholder {
    color: #999999 !important;
}
body :-ms-input-placeholder {
    color: #999999 !important;
}
.lnk-header-user-dropdown {
    padding-top:0 !important;
    padding-bottom: 0 !important;
    color: #FFFFFF !important;
    display:flex !important;
    align-items:center;
    gap:3px;
    text-decoration:none !important;
}
.lnk-header-user-dropdown::after {
    color:var(--default-green) !important;
}
.lnk-header-user-dropdown .bi {
    color:var(--default-green) !important;
    font-size:34px !important; /* Cutomized font size used for icons size */
    margin-right: 5px;
}
/* Initial hidden state */
    .lnk-header-user-dropdown + .dropdown-menu.dropdown-user {
        display: block; /* important for animation */
        opacity: 0;
        visibility: hidden;
        transform: translateY(10px);
        transition: opacity 0.50s ease, transform 0.50s ease;
        min-width:150px !important;
        padding:0 !important;
    }   
/* When dropdown is open */
    .lnk-header-user-dropdown + .dropdown-menu.show {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
        overflow:hidden;
        box-shadow: 5px 5px 3.2px rgba(0, 0, 0, 0.349);
    }
        .lnk-header-user-dropdown + .dropdown-menu .dropdown-item {
            text-decoration: none !important;
            color: var(--default-black) !important;
            display: flex;
            align-items: center;
            padding: 2px 10px !important;
        }
        .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li:first-child {
        border-bottom:1px solid #CCCCCC !important;
    }
        .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li:first-child .dropdown-item {
            color: var(--default-green) !important;
        }
    .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li:last-child .dropdown-item {
        color: #EC808D !important;
    }
    .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li .dropdown-item:active,
    .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li .dropdown-item:focus,
    .lnk-header-user-dropdown + .dropdown-menu.dropdown-user li .dropdown-item:hover {
        background-color: var(--default-blue) !important;
        color: #FFFFFF !important;
    }  
            .lnk-header-user-dropdown + .dropdown-menu .dropdown-item .bi-person-circle {
                color: var(--default-green) !important;
            }
    .lnk-header-user-dropdown + .dropdown-menu .dropdown-item .bi-arrow-left-circle {
        color: #EC808D !important;
    }
.lnk-message-center {
    background-color: var(--default-green);
    border: 1px solid var(--default-green);
    border-radius: 50%;
    height: 36px;
    width: 36px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 !important;
    margin-right: 12px !important;
}
.lnk-message-center i { text-shadow:0 0 1px #000000;}
.bi-chat { font-size:33px !important;}
.bi-bell { font-size:18px !important;}
.message-avatar-container {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    border: 1px solid #F2F2F2;
    overflow: hidden;
}
.message-avatar-container img { 
    height:100%;
    width:100%;
    object-fit:cover;
    object-position:50% 30%;
}
.message-avatar-container-sm {
    width: 30px !important;
    height: 30px !important;
}
div .form-control, div .form-select {
    border: 1px solid #98989A;
    border-radius: 5px;
    padding: 5px;
    color: var(--default-black);
}
div .form-select { padding-right:2rem !important;}
input[type=text], select, input[type=date], input[type=number] {
    border: 1px solid #98989A;
    border-radius: 5px;
    height: 35px;
    padding: 5px;
}
select { padding-right:15px !important;}
textarea {
    border: 1px solid #98989A;
    border-radius: 5px;
    padding: 5px;
}
textarea.required-field { border-color:var(--default-red) !important;}
.table-common th, .table-common td {
    border:none !important;
    border-bottom:1px solid #d7d7d7 !important;
    padding:15px !important;
    background-color:#FFFFFF !important;
    vertical-align:middle;
    font-weight:400;
    font-size:16px !important;
}
.table-common th.pe-3, .table-common td.pe-3 {
    padding-right:1rem !important;
}
.table-common th.ps-0, .table-common td.ps-0 {
    padding-left:0 !important;
}
table.table-common td:empty::before {
    content: "\00a0";
    display: inline-block;
}
.table-common th {
    line-height: normal !important;
    font-weight: 600 !important;
}
span.badge-count {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    width: 20px;
    padding: 0 !important;
    position: absolute;
    left: -8px;
    top: -8px;
    border-radius: 50% !important;
}
.div-notification-wrap {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    border-top: 1px solid #c7d0d6;
    padding: 1rem;
}
.div-grey-sm {
    background-color: #D7D7D7;
    border-radius: 5px;
    text-align: center;
    padding: 5px 10px;
    width: 180px !important;
}
/*=================================== Password Validation Styles =========================================*/
.div-password-customer .RadButton.rbDisabled { opacity: 1 !important;}
.div-create-user-pwd .RadButton.rbDisabled { opacity: 1 !important;}
.div-password-customer {
    position: absolute;
    background-color: #fff;
    width: 310px;
    height: 220px;
    padding: 15px 27px;
    border-radius: 8px;
    box-shadow: 1px 1px 10px 2px #ccc;
    top: 70px;
    left: 370px;
    z-index: 2;
    text-align: left;
}
    .div-password-customer label {
        color: var(--default-black) !important;
        line-height: 20px;
        float: left;
    }
    .div-password-customer input.rbPwd {
        margin-bottom: 8px;
        height: 20px;
        float: left;
        margin-right: 4px;
    }
    .div-password-customer input.rbPwdChange {
        margin-bottom: 8px;
        height: 20px;
        float: left;
        margin-right: 4px;
    }
/*================ Outer pages (Login, Forgot Password and Reset Password) ====================*/
.login-box {
    padding: 40px 35px;
    width: 100%;
    max-width: 550px;
    margin: 0 auto;
    background-color: #FFFFFF;
    border-radius: 5px;
    position:relative;
}
/*=================================== Admin Dashboard =====================================*/
.welcome-bar {
    display: grid;
    grid-template-columns: 280px 1fr;
    gap: 20px;
}
    .welcome-bar div {
        background-color: #373f5019;
        padding: 20px;
    }
        .welcome-bar div.div-date-box {
            border-radius: 5px;
            border-top-right-radius: 0px;
            border-bottom-right-radius: 0px;
            box-shadow: 0 0 3px rgba(0, 0, 0, 0.08), inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
            display:flex;
            flex-direction:column;
            gap:5px;
        }
.welcome-bar div:last-child {
    border-radius: 5px;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
    padding:0 !important;
    background-color:#F2F2F2 !important;
}
.quick-actions {
    display: grid;
    grid-template-columns: repeat(auto-fit, 285px);
    gap: 20px;
    justify-content: start;
}
    .quick-actions a {
        background-color: #373f5019;
        border-radius: 8px;
        box-shadow: 0 0 3px rgba(0, 0, 0, 0.08), inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
        padding: 20px;
        text-align: center;
        cursor: pointer;
        transition: 0.2s ease;
        font-weight: 700;
        font-style: normal;
        font-size: var(--heading-font);
        color: var(--default-black);
        text-align: center;
        text-decoration: none !important;
        display: flex;
        justify-content: center;
        flex-direction: column;
        gap: 0.5rem;
    }
        .quick-actions a:hover {
            box-shadow: 5px 5px 2.5px rgba(0, 0, 0, 0.349), /* INSET shadows */
            inset 6px 6px 12px rgba(0, 0, 0, 0.10);
            background: rgba(255, 255, 255, 0.9254901960784314);
        }
        .quick-actions a i {
    display: inline-block;
    transform-origin: top center;
}
@keyframes wobble-vertical {
 16.65% { transform: translateY(8px);   }
 33.3%  { transform: translateY(-6px); }
 49.95% { transform: translateY(4px);  }
 66.6%  { transform: translateY(-2px); }
 83.25% { transform: translateY(1px);   }
 100%   { transform: translateY(0);     }
}
.wobble-vertical {
    display:flex;
    min-height: 65px;
    justify-content: center;
    align-items: center;
}
.quick-actions a:hover > .wobble-vertical {
    animation-name: wobble-vertical;
    animation-duration: 3s;
    animation-timing-function: ease-in-out;
    animation-iteration-count: 4;
}
.welcome-bar .quick-actions a .wobble-vertical {
    background-color:transparent !important;
    box-shadow:none !important;
}
#leftPanel.col-lg-3 {
    width: 22%;
}
#rightPanel.col-lg-9 {
    width: 78%;
}
.property-details .table-common th, .property-details .table-common td {
    font-size: 16px !important;
    padding: 15px 8px !important;
}
.property-details .table-common th {
    vertical-align: top !important;
    line-height:20px !important;
}
.property-details .table-common th.pe-3, .property-details .table-common td.pe-3 {
    padding-right:1rem !important;
}
/*=================================== Message Center Panel =====================================*/
.message-panel, .unit-panel {
    position: fixed;
    top: 0;
    right: 0;
    width: 820px !important;
    height: 100vh;
    background: #f2f2f2;
    box-shadow: -4px 0 10px rgba(0, 0, 0, 0.2);
    transform: translateX(100%); /* hidden */
    transition: transform 0.4s ease-in-out;
    z-index: 9999;
    overflow-y: auto;
    overflow-x: hidden;
}
.unit-panel {  width: 920px !important;}
.message-panel.show, .unit-panel.show { transform: translateX(0);}
.unit-panel { padding-left:1.5rem !important;}
.unit-panel input[type=text], .unit-panel input[type=date], .unit-panel input[type=number], .unit-panel .form-control.currency-input, .unit-panel .form-control,
.unit-panel .lbl-radio-btn {
    min-width: 135px !important;
    width: 135px !important; /* Cutomized width for consistent look on unit panel */
}
.unit-panel .lbl-radio-btn, .unit-panel .button-primary { height:30px !important;}
.div-messages {
    background-color: #FFFFFF;
    border-radius: 5px;
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.349019607843137);
}
.lnk-open-attch-section {
    color: #2b4162 !important;
    font-size: 24px !important; /* Cutomized font size used for icons size */
    transform: rotate(-45deg);
}
.lnk-open-attch-section:hover { color: #797979 !important;}
.div-upload-container {
    display: flex;
    align-items:center;
    gap: 1rem;
    background-color: #FFFFFF;
    border:1px solid #797979;
    padding:0.5rem;
    border-radius:6px;
}
/* Overlay */
.div-overlay, .div-overlay-unit {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
    z-index: 9998;
    display: none;
}
.div-post-msg {
    background-color: #96bb607f;
    border:1px solid #797979;
    display:flex;
    align-items:center;
    padding: 1.2rem 1.3em;
    color:#333333;
}
.div-reply-post {
    margin-top: 1rem;
    padding-left: 4.7rem;
    padding-right: 1.5rem;
}
.div-messages .dropdown-menu {
    display: block;
    opacity: 0;
    visibility: hidden;
    margin-top: -10px;
    transition: opacity 0.25s ease, margin-top 0.25s ease;
    min-width: 5rem !important;
    border: 1px solid rgb(204, 204, 204) !important;
    background-color: rgb(255, 255, 255) !important;
    z-index: 1;
    box-shadow: 2px 2px 5px rgb(0 0 0 / 35%) !important;
    border-radius: 3px;
    padding: 0.2rem 0.5rem !important;
    color: var(--default-black) !important;
}
.div-messages .dropdown-menu a {
    padding:0 !important;
    text-decoration:underline !important;
}
    .div-messages .dropdown-menu a:hover, .div-messages .dropdown-menu a:active {
        background-color: transparent !important;
        color:var(--default-black) !important;
    }
    .div-messages .dropdown-menu.show {
        opacity: 1;
        visibility: visible;
        margin-top: 0;
    }
.lnk-show-reply-section {
    position: absolute;
    left: 10px;
    cursor: pointer;
    text-decoration: none !important;
}
    .lnk-show-reply-section i.bi-reply-fill::before {
        transform: rotate(180deg) !important;
        font-size: 24px !important; /* Cutomized font size used for icons size */
    }
.lnk-show-reply-section span {
    position:relative;
    bottom:2px;
}
.notification-panel { width:500px !important;}
/*=================================== Create Property =====================================*/
.div-stepper-wrap {
    background-color: #98989a0c !important;
    padding: 1rem 0;
}
    .div-stepper-wrap .k-stepper .k-step-current .k-step-indicator,
    .div-stepper-wrap .k-stepper .k-step-indicator {
        border-color: #ffffff !important;
        background-color: #ffffff !important;
    }
    .div-stepper-wrap .k-stepper .k-step-label .k-step-text {      
        color: #98989a7f !important;
        font-weight: 600 !important;
    }
    .div-stepper-wrap .k-stepper .k-step-current .k-step-label .k-step-text {
        color: #50504e !important;
    }
    .div-stepper-wrap .k-step-list-horizontal ~ .k-progressbar {
        background-color:transparent !important;
        border:2px dashed #ebebeb !important;
    }
    .div-stepper-wrap .k-progressbar .k-selected {
        border: 2px dashed #116b9e !important;
        background-color: transparent !important;
    }
    .div-stepper-wrap .k-stepper .k-step-label .k-step-text {
        max-width: calc(15em - 20px) !important;
    }
    .div-stepper-wrap .k-step-list-horizontal .k-step {
        pointer-events: none !important;
    }
    .div-stepper-wrap .k-step-list-horizontal .k-step-link {
        max-width: 12em !important;
        pointer-events:auto !important;
    }
    .div-stepper-wrap .k-stepper .k-step-indicator {
        width: 35px !important;
        height: 35px !important;
        margin:0 !important;
    }
        .div-stepper-wrap .k-stepper .k-step-indicator::after {
            border:none !important;
            top:0 !important;bottom:0 !important;left:0 !important;right:0 !important;
        }
.div-stepper-wrap .k-stepper .k-svg-icon {
    width: 20px !important;
    height: 20px !important;
}
.lbl-radio-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    height: 35px;
    border: 1px solid #98989A;
    border-radius: 5px;
    cursor: pointer;
    font-weight: 400;
    color: #323232bf;
    background-color: #fff;
    transition: all 0.2s ease;
    user-select: none;
    min-width: 155px;
    padding: 0 5px;
    position: relative;
    cursor: pointer;
}
    .lbl-radio-btn input[type="radio"] {
        position: absolute;
        opacity: 0;
        width: 0;
        height: 0;
    }
    .lbl-radio-btn input[type="radio"]:checked + span,
    .lbl-radio-btn:has(input[type="radio"]:checked) {
        color: #FFFFFF;      
        background-color: var(--default-blue);
    }
    .lbl-radio-btn:hover {
        color: #FFFFFF;
        background-color: var(--default-blue);
    }
    /* WHEN radio is focused → style the LABEL */
    .lbl-radio-btn:has(input[type="radio"]:focus) {
        outline: 2px solid #005fcc;
        outline-offset: 2px;
    }
    /* Disabled state */
    .lbl-radio-btn:has(input[type="radio"]:disabled) {
        cursor: default !important;
        opacity: 0.7 !important;
        box-shadow: none !important;
        pointer-events:none;
    }
.div-create-property hr {margin:2rem 0 1.5rem !important;}
.div-create-property select {background-color:#FFFFFF !important;}
.div-income-border {
    border: 1px solid #797979;
    border-radius: 5px;
    padding: 0.5rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
    .div-income-border a.bi {
        color: #797979;
        font-size: 20px; /* Cutomized font size used for icons size */
        font-weight: 700;
        text-shadow: 0 1px 1px #000000;
        height: auto;
        vertical-align: middle;
        line-height: 1;
    }
.table-income { border: 2px solid #c0c0c0 !important;}
.table-income th, .table-income td {
    border: 2px solid #c0c0c0 !important;
    padding:10px 6px !important;
    color:#000000;
    text-align:right;
    font-size: 14px !important; /* Cutomized font size used for long numeric value on table */
}
.table-income th, .table-income tr td:first-child {
    background-color:#e4e4e4 !important;
    font-weight:700;
}
.table-income th { padding: 15px 6px !important;}
.table-income th:first-child, .table-income td:first-child { width:10% !important; }
.table-income th, .table-income td { width:11.25% !important;}
.table-rent-limits th:first-child, .table-rent-limits td:first-child { width:10% !important;}
.table-rent-limits th, .table-rent-limits td { width: 15% !important;}
.modal-cancel-property .modal-dialog, .modal-cancel-property {
    max-width: 270px !important;
    border: 1px solid #797979;
    position: absolute;
    right: 175px;
    margin-bottom: 2rem;
    background-color: #FFFFFF;
}
    .modal-cancel-property button {
        display: inline-flex;
        align-items: center;
        justify-content: center;
        width: 105px;
        height: 28px;
        background-color: #eeeeeecd;
        box-sizing: border-box;
        border: 1px solid rgba(222, 222, 222, 1);
        border-radius: 5px;
    }
    .modal-cancel-property button:hover {
        background-color: rgba(255, 255, 255, 1);
        filter: drop-shadow(0px 0px 4px rgba(0, 0, 0, 0.12156862745098039));
    }
/*=================================== View Property =====================================*/
.left-side-panel {
    background-color: var(--default-blue);
    border-radius: 4px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
    padding: 10px;
    position: sticky;
    top: 0;
    /*height: 100vh;
    overflow-y: auto;*/
    min-height: 100vh;
    height: 100%;
}
.list-details {
    list-style-type: none !important;
    display: flex;
    justify-content: space-between;
    padding: 0 !important;
}
.list-details li {
    list-style-type: none !important;
    color:#FFFFFF !important;
    cursor:pointer;
}
.list-details li.active { text-decoration:underline;}
.left-side-panel table, .left-side-panel table * {
    background-color: transparent !important;
}
.left-side-panel div.flex-column * {
    color: #FFFFFF !important;
}
.left-side-panel div.flex-column .color-grey { color: #C7D0D6 !important;}
.left-side-panel hr {
    background-color: #FFFFFF !important;
    opacity: 1 !important;
    color: #FFFFFF !important;
}
.div-notification-banner {
    border:1px solid #E20505;
    border-radius:5px;
    padding:5px;
}
.div-notification-banner * {
    text-decoration:none;
}
.div-search-box {
    position: relative;
    display: flex;
    align-items: center;
    gap: 10px;
}
.div-search-box input.form-control {
    border: none !important;
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
    border-bottom: 1px solid #c2c2c2 !important;
    background-color: #F2F2F2 !important;
    padding-left:40px !important;
}
    .div-search-box .bi.bi-search {
        position: absolute;
        color: #c2c2c2 !important;
        font-size: 20px !important; /* Cutomized font size used for icons size */
        left: 8px;
        top: 50%;
        transform: translateY(-50%);
    }
.div-search-box:hover input.form-control {
    border-bottom: 1px solid #98989A !important;
    background-color:#E2E2E2 !important;
}
.div-search-box:focus-within .bi.bi-search { color:#1E98D7 !important;}
.div-search-box input.form-control:focus {
    border-bottom: 2px solid #1E98D7 !important;
}
.div-search-box .button-primary { min-width:80px !important;}
.lnk-clear-search {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    display: none;
    color:var(--default-black);
}
/* ===== Customize scrollbar for side panel ===== */
/* ===== Chrome, Edge, Safari ===== */
.left-side-panel::-webkit-scrollbar {
    width: 8px;
}
.left-side-panel::-webkit-scrollbar-track {
    background: transparent;
}
.left-side-panel::-webkit-scrollbar-thumb {
    background-color: rgba(255, 255, 255, 0.35);
    border-radius: 10px;
    border: 2px solid transparent;
    background-clip: content-box;
}
.left-side-panel::-webkit-scrollbar-thumb:hover {
    background-color: rgba(255, 255, 255, 0.6);
}
/* ===== Firefox ===== */
.left-side-panel {
    scrollbar-width: thin;     
    scrollbar-color: rgba(255,255,255,.4) transparent;
}
/* ===== End - Customize scrollbar for side panel ===== */
.doc-table tr th { font-weight:600; font-size:16px;}
.doc-table tr td { font-size: 16px;}
.doc-icon     { width: 4%; }
.doc-category { width: 30%; }
.doc-name     { width: 23%; }
.doc-user     { width: 16%; }
.doc-date     { width: 12%;text-align:right; }
.doc-size     { width: 12%;text-align:right; }
.doc-actions  { width: 7%; text-align: right; }
.div-option-reports, .div-box-wrap {
    width:100%;
    display: grid;
    grid-template-columns: repeat(auto-fit, 210px);
    gap: 30px;
    justify-content: start;
    border:none !important;
}
.div-option-reports button, .button-box-common {
    border:none !important;
    background-color: rgba(55, 63, 80, 0.09803921568627451);
    border-radius: 8px;
    box-shadow: /* OUTER soft shadow */
    0 2px 3px rgba(0, 0, 0, 0.08),
    /* INSET shadows */
    inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
    padding: 40px 20px;
    text-align: center;
    cursor: pointer;
    transition: 0.2s ease;
    font-weight: 700;
    font-style: normal;
    text-align: center;
    text-decoration: none !important;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height:210px;
}
.div-box-wrap {
    position:static !important;
    grid-template-columns: repeat(auto-fit, 160px) !important;
}
.div-option-reports button:hover, .div-option-reports button.active {
    box-shadow: 5px 5px 2.5px rgba(0, 0, 0, 0.349), /* INSET shadows */
    inset 6px 6px 12px rgba(0, 0, 0, 0.10);
    background: rgba(255, 255, 255, 0.9254901960784314);
}
.button-box-common {
    width: 160px !important;
    height: 130px !important;
    border: 2px solid var(--default-red) !important;
}
.button-download-report { transition:none !important;}
.button-download-report:hover {
    font-size: 0 !important;
    background-image: url('../_images/img-download.svg') !important;
    background-position: center !important;
    background-repeat: no-repeat !important;
    background-color: rgba(121, 121, 121, 0.3176470588235294) !important;
    filter: drop-shadow(5px 5px 2.5px rgba(0, 0, 0, 0.34901960784313724)) !important;
    background-size: 38px !important;
}
.div-box-wrap button {
    width: 160px !important;
    height: 130px !important;
    border: 2px solid var(--default-red);
    background-color: rgba(55, 63, 80, 0.09803921568627451);
    border-radius: 8px;
    box-shadow: /* OUTER soft shadow */
    0 2px 3px rgba(0, 0, 0, 0.08),
    /* INSET shadows */
    inset 6px 6px 12px rgba(0, 0, 0, 0.10), inset 0px 0px 12px rgba(255, 255, 255, 0.90);
    padding: 40px 20px;
    text-align: center;
    cursor: pointer;
    transition: 0.2s ease;
    font-weight: 700;
    font-style: normal;
    text-align: center;
    text-decoration: none !important;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 210px;
}
    .div-box-wrap button.yellow-box, .button-box-common.yellow-box {
        border: 2px solid #FFE135 !important;
    }
    .div-box-wrap button.green-box, .button-box-common.green-box {
        border: 2px solid var(--default-green) !important;
    }
    .div-box-wrap button.orange-box, .button-box-common.orange-box {
        border: 2px solid #F28C28 !important;
    }
    .button-box-common:hover, .div-box-wrap button:hover {
        box-shadow: 5px 5px 2.5px rgba(0, 0, 0, 0.349);
        background: rgba(255, 255, 255, 0.9254901960784314);
    }
.user-card {
    border: 1px solid #797979;
    border-radius: 7px;
    background-color: #f2f2f2;
    padding: 1rem;
    margin-bottom: 1rem;
    position: relative;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2), 0 4px 8px rgba(0, 0, 0, 0.12);
}
.btn-edit-user {
    position:absolute;
    right:10px;
    top:10px;
    min-width:auto !important;
}
.btn-delete-user {
    position: absolute;
    right: 75px;
    top: 10px;
    min-width: auto !important;
}
.modal-archive { right:0 !important;}
table tr.unit-link:hover td, table tr.clickable-row:hover td {
    background-color: #F2F2F2 !important;
}
.input-search { padding-left:35px !important;}
.lnk-close-popup {
    position:absolute;
    top:1px;
    right:5px;
}
/*=================================== Unit Details Panel =====================================*/
.unit-panel .form-control {
    height: 30px;
    line-height: 30px;
    text-align: left;
}
.unit-panel select {
    height: 30px;
    line-height: 1;
    text-align: left;
    padding: 5px;
}
/* Switch size */
.unit-status-switch .form-check-input {
    width: 50px !important;
    height: 25px;
    cursor: pointer;
    transition: background-color 0.25s ease;
}
/* OFF state → RED background */
.unit-status-switch .form-check-input {
    background-color: #dc3545 !important;
    border-color: #dc3545 !important;
    background-position: right center;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e") !important;
}
    /* ON state → GREEN background */
    .unit-status-switch .form-check-input:checked {
        background-color: #28a745 !important;
        border-color: #28a745 !important;
    }
    /* Keep toggle knob WHITE always */
    .unit-status-switch .form-check-input::before {
        background-color: #ffffff !important;
    }
    /* Remove default focus shadow */
    .unit-status-switch .form-check-input:focus {
        box-shadow: none;
    }
.div-unit-details .form-control:disabled, .div-unit-details .form-control[readonly], .div-unit-disable, .div-residence-service input[readonly] {
    background: none !important;
    border: none !important;
    padding: 0;
    line-height: unset;
    height: auto;
    resize: none;
    min-width: auto !important;
    width: auto !important;
}
.div-residence-service input[readonly] {  
    width: 100% !important;
}
.div-unit-details .form-control:disabled:focus,
.div-unit-details .form-control[readonly]:focus,
.div-unit-disable:focus {
    outline: none !important;
    box-shadow: none !important;
}
.modal-unitDown {
    right: 0 !important;
    top: -10px;
    border-radius: 5px;
}
.dollor-sign {
    position: absolute;
    left: 0 !important;
    top: 0 !important;
    line-height: 30px;
}
.form-control.currency-input[readonly] {
    line-height: 30px !important;
    padding-left:10px !important;
}
.form-control.currency-input { padding-left: 15px !important;}
.form-control.currency-input[readonly] + .dollor-sign {
    left: 0 !important;
    line-height:30px !important;
}
.form-control.currency-input + .dollor-sign {
    left: 5px !important;
    line-height:30px !important;
}
.lh-35 { line-height:30px !important;}
.div-unit-disable {
    min-height: 30px;
    padding-left: 10px !important;
}
.div-annual-date {
    position: relative;
    top: 0;
}
button.btn-disable-pointer-none:disabled { pointer-events:none !important;}
/*=================================== Side Panel =====================================*/
#leftPanel {
    transition: all 0.3s ease;
    overflow: hidden;
}
#rightPanel {
    transition: all 0.3s ease;
}
.left-collapsed {
    width: 20px !important;
    flex-basis: 0 0 20px !important;
    max-width: 20px !important;
}
.right-expanded {
    width: calc(100% - 20px) !important;
    flex-basis: 0 0 calc(100% - 20px) !important;
    max-width: calc(100% - 20px) !important;
}
.btn-toggle-arrow {
    position: absolute;
    right: 0;
    top: 0px;
    z-index: 1000;
    background: #c7d0d661;
    width: 20px;
    height: 50px;
    border: none !important;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    border-bottom-left-radius: 3px;
}
.left-collapsed .left-side-panel {
    padding: 0 !important;
    min-height:100vh;
    height: 100%;
}
.div-points-info {
    background-color: #F2F2F2;
    padding: 0.5rem;
}
.div-points-info ul.list-circle {
    padding-left:4rem !important;
    list-style: circle !important;
}
.div-sidepanel-buttons .button-white { margin-top:14px;}
/*=========================================== VB: Loading Panel Design ======================================*/
.loading-slider {
    position: fixed;
    width: 100%;
    height: 4px;
    overflow-x: hidden;
    top: 0;
    left: 0;
    right: 0;
}
.loading-slider .line {
    position: absolute;
    opacity: 0.4;
    background: var(--default-green);
    width: 150%;
    height: 4px;
}
    .loading-slider .subline {
        position: absolute;
        background: var(--default-green);
        height: 4px;
    }
.loading-slider .inc {  animation: increase 2s infinite;}
.loading-slider .dec { animation: decrease 2s 0.5s infinite;}
@keyframes increase {
from {
        left: -5%;
        width: 5%;
}
to {
        left: 130%;
        width: 100%;
    }
}
@keyframes decrease {
    from {
        left: -80%;
        width: 80%;
    }

    to {
        left: 110%;
        width: 10%;
    }
}
@-moz-document url-prefix() {
    .unit-panel input[type="date"] {
        padding-top: 2px !important;
        letter-spacing: -0.3px !important;
        word-spacing: normal !important;
    }
    .unit-panel input[type="text"], .unit-panel input[type="date"], .unit-panel input[type="number"],
    .unit-panel .form-control.currency-input, .unit-panel .form-control, .unit-panel .lbl-radio-btn {
        min-width: 155px !important;
        width: 155px !important;
    }
}
/************************* Responsive CSS (for mobile view) ****************************/
@media only screen and (max-device-width: 640px) {
 .logo-application-header {height:45px !important;}
 .mobile-left {float: left !important;}
 .mobile-right {float:right !important;}
 .flex-column-mobile {flex-direction:column !important;}
 .mobile-justify-content-start {justify-content:start !important;}
 div .mobile-align-items-start {align-items:start !important;}
 div .mobile-gap-10 {gap:10px !important;}
 .mobile-pz { padding: 0 !important;}
 .mobile-pll { padding-left: 15px !important; }
 .mobile-prl { padding-right: 15px !important;}
 .mobile-ptm { padding-top: 10px !important;}
 .mobile-mll { margin-left: 15px !important;}
 .mobile-plz { padding-left: 0 !important; }
 .mobile-top-0 { top: 0 !important;}
 .mobile-w-100, div .mobile-w-100 { width: 100% !important;}
 .mobile-w-50 { width: 50% !important;}
 .mobile-w-40 { width: 40% !important;}
 .mobile-w-60 { width: 60% !important;}
 .mobile-w-85 { width: 85% !important;}
 .mobile-mz, div .mobile-mz { margin: 0px !important;}
 .mobile-mlz { margin-left: 0px !important; }
 .mobile-mtz { margin-top: 0px !important;}
 .mobile-pls { padding-left: 5px !important;}
 .mobile-mts { margin-top: 5px !important;}
 .mobile-mtl { margin-top: 15px !important;}
 .mobile-mbm { margin-bottom: 10px !important;}
 .mobile-p-2 { padding: 2rem !important;}
 .mobile-text-right { text-align: right !important;}
 .mobile-text-left { text-align: left !important;}
 .mobile-border-0 { border: none !important;}
 div .mobile-inline-block { display: inline-block !important;}
 .mobile-autowidth { width: auto !important;}
 .mobile-auto-minwidth { min-width: auto !important;}
 .div-create-property {width:90% !important;}
 .mobile-grid-x-scroll {overflow-x:auto !important;}
 .doc-table, table.doc-table { width: 150% !important;}
 .doc-row td { overflow-wrap: break-word;}
 .div-box-wrap { position: static !important;}
 .div-option-reports, .div-box-wrap {justify-content:center !important;}
 .btn-toggle-arrow {display:none !important;}
 #rightPanel.col-lg-9 {width: 100% !important;}
 #leftPanel.col-lg-3 {width: 100% !important;}
.button-box-common {margin-left:20px !important;}
.modal-cancel-property {right: auto !important;left:0 !important;}
.quick-actions, .welcome-bar { grid-template-columns: 1fr !important;}
div .mobile-wrap { white-space: normal !important;}
.mobile-align-self-end {align-self:end !important;}
.modal-cancel-property.modal-archive { margin-top: 5px !important;left: 26px !important;}
.div-unit-details .mobile-w-100:disabled, .div-unit-details .mobile-w-100[readonly] { width: 100% !important;}
.btn-delete-user, .btn-edit-user {position:static !important;margin-bottom:20px !important;margin-right:10px !important;}
.user-card .w-75 {width:100% !important;}
.list-details {padding:0 15px !important;}
}
/******************* Endpoint: Responsive CSS (for mobile view) *********************/


